#
# spec file for package isns (Version 2.1.04)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           isns
Url:            http://sourceforge.net/projects/linuxisns/
License:        BSD 3-Clause
Group:          System/Daemons
PreReq:         %fillup_prereq %insserv_prereq 
AutoReqProv:    on
BuildRequires:  gdbm-devel
Version:        2.1.04
Release:        0.3
Provides:       linux-isns
%define iscsi_release 01
Summary:        Internet Storage Naming Service
Source:         %{name}-2.1-04.tar.bz2
Source1:        %{name}.services
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Naming and discovery service that supports ISCSI initiators and
targets.



%debug_package
%prep
%setup -n %{name}-2.1-04

%build
%{__make} OPTFLAGS="${RPM_OPT_FLAGS}" -C isnsclient
%{__make} OPTFLAGS="${RPM_OPT_FLAGS}" -C isnsserver

%install
install -vD isnsserver/isnsd ${RPM_BUILD_ROOT}/usr/sbin/isnsd
install -vD isnsclient/isnsc ${RPM_BUILD_ROOT}/sbin/isnsc
install -vD isnsclient/isnsadm ${RPM_BUILD_ROOT}/sbin/isnsadm
install -vD -m 755 isnsserver/etc/initd.suse ${RPM_BUILD_ROOT}/etc/init.d/isns
ln -sf   ../../etc/init.d/isns $RPM_BUILD_ROOT/usr/sbin/rcisns
#install -vD %{S:1} ${RPM_BUILD_ROOT}/etc/sysconfig/SuSEfirewall2.d/services/isns

%clean
[ "${RPM_BUILD_ROOT}" != "/" -a -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT}

%post
%{fillup_and_insserv isns}

%postun
%{insserv_cleanup}

%preun
%{stop_on_removal}

%files
%defattr(-,root,root)
%attr(755,root,root)/usr/sbin/*
%attr(755,root,root)/sbin/*
%attr(755,root,root)/etc/init.d/*
#%attr(644,root,root)/etc/sysconfig/SuSEfirewall2.d/services/isns

%changelog
* Thu Mar 27 2008 - wrwhitehead@novell.com
- The isns daemon was holding unto parent descriptors causing YaST2
  start function to hang.  (bnc#372049)
* Tue Jan 08 2008 - wrwhitehead@novell.com
- Updated /etc/init.d/isns script to eliminate rpmlint warnings
  and update sp2 with latest isns server code
* Tue Sep 18 2007 - wrwhitehead@novell.com
- Fixed bug 326133 - incorrect return of iSCSI node index when doing
  a node domain discovery query.
* Tue Aug 28 2007 - wrwhitehead@novell.com
- Updated to newer version of isns which fixes tcp buffer overun,
  portal groups, and improved client speed
* Wed Apr 04 2007 - hare@suse.de
- Added service definition for SUSEFirewall2 (#254456)
* Sat Mar 31 2007 - agraf@suse.de
- Add build requirement for gdbm-devel
- Remove binaries from source tar
* Fri Mar 30 2007 - wrwhitehead@novell.com
- Update to version 2.0-04 - Fixed defect 257976 - Was not searching
  all Discovery Domains
* Thu Mar 15 2007 - wrwhitehead@novell.com
- Update to version 2.0-04 - add socket timeout (comm.c). This fixes
  the defects against the isnsadm from hanging when invalid ip address
* Wed Feb 07 2007 - wrwhitehead@novell.com
- Update to version 2.0-03 - adds the new isnsadm
* Wed Jan 17 2007 - wrwhitehead@novell.com
- Update to version 2.0.02 - which fixes the script files
* Fri Jan 12 2007 - wrwhitehead@novell.com
- Submit isns 2.0, significant upgrades to 1.5 from initial checkin
* Thu Jan 11 2007 - ihno@suse.de
- Fate ID is 300651 and 233
* Fri Dec 08 2006 - wrwhitehead@novell.com
- Initial Checkin of isns
